SpyBara
Go Premium

resources/videos/methods/get_character/index.md 2026-09-10 18:01 UTC to 2026-09-11 20:00 UTC

This page contains 1 addition and 1 deletion.

2026
Fri 11 20:00 Fri 18 22:59

Retrieve a character

get /videos/characters/{character_id}

Fetch a character.

Path Parameters

  • character_id: string

Returns

  • id: string or null

    Identifier for the character creation cameo.

  • created_at: number

    Unix timestamp (in seconds) when the character was created.

  • name: string or null

    Display name for the character.

Example

curl https://api.openai.com/v1/videos/characters/$CHARACTER_ID \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "created_at": 0,
  "name": "name"
}